VectorLinux
July 28, 2014, 02:13:47 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: IMPORTANT! 5.8 software repositories (gslapt/slapt-get SOURCES recommendations)  (Read 12194 times)
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« on: July 17, 2007, 08:29:23 am »

As 5.8 Standard was released before finalizing the repository structure, the slapt-getrc file listing the repos is not up to date. Here is an explanation of what each repo is for and which are the default recommended ones, as well as the alternative http and ftp URLs for them:

PATCHES repo (recommended):
For updated versions or repackagings of libs and apps released with the iso. Should be only for bug or security fixes.
http://ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/patches/
http://vectorlinux.osuosl.org/veclinux-5.8/patches/

EXTRA repo (recommended):
For additional (as in not in the release iso) apps and their lib dependencies. To add functionality to your VL install.
http://ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/extra/
http://vectorlinux.osuosl.org/veclinux-5.8/extra/

TESTING repo (risky):
This is where all the VL packages pass their reliability testing before going to their proper place. Should be only for those volunteering to test packages, and we recommend not doing so on your main system. Please report your experience with any of these. DISCLAIMER: Install at your own risk..
http://ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/testing/
http://vectorlinux.osuosl.org/veclinux-5.8/testing/

UNSTABLE repo (risky):
The apps and libs in this repo are considered unstable development versions by their developers, reviewers, or the VL devs. The packages themselves have undergone the usual reliability testing. Install these only if you really need them and/or know what you are doing. DISCLAIMER: Install at your own risk..
http://ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/unstable/
http://vectorlinux.osuosl.org/veclinux-5.8/unstable/

PACKAGES repo (optional):
These are the packages that made up the release iso. Only needed for downgrading in case of a problem after updating a package.
http://ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/packages/
http://vectorlinux.osuosl.org/veclinux-5.8/packages/
Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #1 on: July 17, 2007, 08:34:33 am »

To change the gslapt/slapt-get SOURCES, you can use the graphical configuration screen in the gslapt menu (Edit/Preferences/Sources), or do it manually by editing the /etc/slapt-get/slaptgetrc file as root (possibly easier). In the latter case, the correct URL syntax is as follows:
Code:
SOURCE=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/patches/

You can include URLs but leave them disabled with the following syntax:
Code:
#DISABLED=ftp://ftp.osuosl.org/pub/vectorlinux/veclinux-5.8/testing/
Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!